=== debian/changelog ===
mstch (1.0.2-7) unstable; urgency=medium

  * QA upload.

  * Redirected stderr in autopkgtest to avoid bogus test failure.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Nov 2024 08:13:28 +0100

mstch (1.0.2-6) unstable; urgency=medium

  * QA upload.

  * Corrected working directory of autopkgtest script to fix failure.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Nov 2024 09:34:45 +0100

mstch (1.0.2-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Added patch metadata.
  * Added simple autopkgtest based on code example in upstream README.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Oct 2024 07:54:51 +0100

mstch (1.0.2-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963926)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 09:08:12 -0300

mstch (1.0.2-3) unstable; urgency=medium

  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Fix installation directory for the CMake configuration file.
    Closes: #951647, #897342

 -- Guus Sliepen <guus@debian.org>  Sun, 11 Jul 2021 14:18:54 +0200

mstch (1.0.2-2) unstable; urgency=medium

  * Fix grammar in debian/control.
  * Add Depends: libboost-dev.

 -- Guus Sliepen <guus@debian.org>  Wed, 03 Jan 2018 00:35:05 +0100

mstch (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #886129)

 -- Guus Sliepen <guus@debian.org>  Tue, 02 Jan 2018 16:17:02 +0100
