=== debian/control ===
Source: mstch
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 13),
               libboost-dev (>= 1.54),
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/no1msd/mstch
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mstch
Vcs-Git: https://salsa.debian.org/debian/mstch.git

Package: libmstch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.54),
         ${misc:Depends},
Description: Mustache implementation in C++11
 Mstch is a complete implementation of {{mustache}} templates using
 modern C++. It's compliant with specifications v1.1.3, including the
 lambda module.
 .
 Mustache is a logic-less template language. As such, it is very well
 suited for programs that are written in a compiled language, such as C
 and C++, as they cannot easily evaluate code found in a template.
 Mustache does however supports a simple conditional and a loop statement.
 .
 This package contains the header files and a static library.
